Bulk import job postings
curl --request POST \
--url https://api.kombo.dev/v1/ai-apply/job-feeds/{job_feed_id}/bulk-import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-ndjson' \
--data '
"{\"url\":\"https://careers.acme.com/job/1\",\"career_site_label\":\"ACME Corp\"}\n{\"url\":\"https://careers.acme.com/job/2\",\"career_site_label\":\"ACME Corp\",\"job_code\":\"ENG-123\"}"
'import requests
url = "https://api.kombo.dev/v1/ai-apply/job-feeds/{job_feed_id}/bulk-import"
payload = "{\"url\":\"https://careers.acme.com/job/1\",\"career_site_label\":\"ACME Corp\"}
{\"url\":\"https://careers.acme.com/job/2\",\"career_site_label\":\"ACME Corp\",\"job_code\":\"ENG-123\"}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-ndjson"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/x-ndjson'},
body: JSON.stringify('{"url":"https://careers.acme.com/job/1","career_site_label":"ACME Corp"}\n{"url":"https://careers.acme.com/job/2","career_site_label":"ACME Corp","job_code":"ENG-123"}')
};
fetch('https://api.kombo.dev/v1/ai-apply/job-feeds/{job_feed_id}/bulk-import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"created": 150,
"processed": 197,
"archived": 10
}
}Job feeds
Bulk import job postings
Bulk import job postings into a job feed using NDJSON (newline-delimited JSON) format.
POST
/
ai-apply
/
job-feeds
/
{job_feed_id}
/
bulk-import
Bulk import job postings
Request Format:
Send one JSON object per line. Each line represents a job posting to import.
Example Request Body:
Behavior:
{"url":"https://careers.acme.com/job/1","career_site_label":"ACME Corp"}
{"url":"https://careers.acme.com/job/2","career_site_label":"ACME Corp","job_code":"ENG-123"}
{"url":"https://careers.acme.com/job/3","career_site_label":"ACME Corp","location":{"country":"US","postal_code":"94115"}}
- Career sites are automatically created based on unique
career_site_labelvalues - Job postings are identified by the combination of URL + career_site_label + job_code
- Existing job postings are updated; new ones are created and queued for parsing
- Job postings from previous imports that are not included in the current import are archived
- Maximum request size: 35 MB
- Timeout: 5 minutes
- One concurrent import per job feed
Authorizations
Path Parameters
The ID of the job feed to import into
Body
application/x-ndjson
NDJSON stream where each line is a JSON object matching the BulkImportJobPostingInput schema
NDJSON stream - each line is a JSON object representing a job posting
Was this page helpful?